Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.basex.core.proc
Class Find

    java.lang.Object
      org.basex.core.Progress
          org.basex.core.Proc
              org.basex.core.proc.Find

    public final class Find

extends Proc

Evaluates the 'find' command and processes a simplified request as XQuery.

Author:
  Workgroup DBIS, University of Konstanz 2005-10, ISC License, Christian Gruen

Field Summary

Fields inherited from class org.basex.core.Proc
`DATAREF, flags, STANDARD`

Constructor Summary
`Find(String query)` Default constructor.

Method Summary
`static String` | `find(String query, Context ctx, boolean root)` Creates an XQuery representation for the specified query.
`static String` | `findTable(StringList filter, TokenList cols, BoolList elem, byte[] tag, boolean root, boolean fs)` Creates an XQuery representation for the specified table query.
`String` | `toString()` Returns a string representation of the process.

Methods inherited from class org.basex.core.Proc
`exec, exec, execute, execute, info, result, updating`

Methods inherited from class org.basex.core.Progress
`abort, checkStop, det, detail, prog, progress, progress, stop, tit, title`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Find

    public Find(String query)

  Default constructor.

  Parameters:
    `query` - simplified query

Method Detail

### find

    public static String find(String query,
                              Context ctx,
                              boolean root)

  Creates an XQuery representation for the specified query.

  Parameters:
    `query` - query
    `ctx` - context reference
    `root` - root flag
  Returns:
    query

### findTable

    public static String findTable(StringList filter,
                                   TokenList cols,
                                   BoolList elem,
                                   byte[] tag,
                                   boolean root,
                                   boolean fs)

  Creates an XQuery representation for the specified table query.

  Parameters:
    `filter` - filter terms
    `cols` - filter columns
    `elem` - element flag
    `tag` - root tag
    `root` - root flag
    `fs` - file system flag
  Returns:
    query

### toString

    public String toString()

  Description copied from class: `Proc`
  Returns a string representation of the process. In the client/server architecture, this string is sent to and reparsed by the server.

  Overrides:
    `toString` in class `Proc`
  Returns:
    string representation

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD